Package tigase.io

# Record Class CertificateContainerIfc.CertificateEntity

java.lang.Object
java.lang.Record
tigase.io.CertificateContainerIfc.CertificateEntity

Enclosing interface:
  CertificateContainerIfc

public static record CertificateContainerIfc.CertificateEntity(String certificatePem, String alias, boolean storePermanently, boolean useAsDefault) extends Record

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CertificateEntity(String certificatePem, String alias, boolean storePermanently, boolean useAsDefault)`
  Creates an instance of a `CertificateEntity` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `alias()`
  Returns the value of the `alias` record component.
  `String`
  `certificatePem()`
  Returns the value of the `certificatePem` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `boolean`
  `storePermanently()`
  Returns the value of the `storePermanently` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `boolean`
  `useAsDefault()`
  Returns the value of the `useAsDefault` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CertificateEntity

    public CertificateEntity(String certificatePem, String alias, boolean storePermanently, boolean useAsDefault)
    Creates an instance of a `CertificateEntity` record class.
    Parameters:
      `certificatePem` - the value for the `certificatePem` record component
      `alias` - the value for the `alias` record component
      `storePermanently` - the value for the `storePermanently` record component
      `useAsDefault` - the value for the `useAsDefault` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. Reference components are compared with `Objects::equals(Object,Object)`; primitive components are compared with '=='.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### certificatePem

    public String certificatePem()
    Returns the value of the `certificatePem` record component.
    Returns:
      the value of the `certificatePem` record component

  - ### alias

    public String alias()
    Returns the value of the `alias` record component.
    Returns:
      the value of the `alias` record component

  - ### storePermanently

    public boolean storePermanently()
    Returns the value of the `storePermanently` record component.
    Returns:
      the value of the `storePermanently` record component

  - ### useAsDefault

    public boolean useAsDefault()
    Returns the value of the `useAsDefault` record component.
    Returns:
      the value of the `useAsDefault` record component